ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Costin Manolache <cmanola...@yahoo.com>
Subject Re: java 1.1 on linux
Date Tue, 18 Mar 2003 23:54:14 GMT
Conor MacNeill wrote:

> On Wed, 19 Mar 2003 05:17 am, Costin Manolache wrote:
>>
>> Ok - last week we had a proposal, discussions on ant-user and ant-dev,
>> and apparently an almost general consensus.
>>
>> What's next ? Should we wait a bit more before making it official by a
>> [VOTE], or just forget the whole thing ?
>>
> 
> I will propose a vote tonight. I think we are clear that a move to a 1.2
> based codebase is desirable. Moving to 1.3 or 1.4 is not yet needed as the
> features we would make use of are in 1.2
> 
> What is less clear to me is whether 1.5 branch should be the last 1.1
> codebase or whether it should be 1.6. My preference would be to make it
> 1.5 since somethings we need to do (i.e. lcp.bat replacement) are best
> done with a URLClassLoader. 1.6 is still a ways off and if we designate it
> the last 1.1 release nothing will change for quite a while.

It seems a pretty strong majority would preffer 1.5 as the last 1.1.

I haven't seen any good argument on why 1.6 should support 1.1 - if 
people don't need the 1.2 features and are coding for 1.1, then they
can very well use ant1.5 as well :-) 

Yes, URLClassLoader is the 1.2 feature that matters the most. 


Costin


Mime
View raw message